Delete a preset
DELETE/accounts/{account_id}/realtime/kit/{app_id}/presets/{preset_id}
Deletes a preset using the provided preset ID
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
Accepted Permissions (at least one required)
Path Parameters
Delete a preset
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/presets/$PRESET_ID \
-X DELETE \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"data": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"config": {
"max_screenshare_count": 0,
"max_video_streams": {
"desktop": 0,
"mobile": 0
},
"media": {
"screenshare": {
"frame_rate": 0,
"quality": "hd"
},
"video": {
"frame_rate": 30,
"quality": "hd"
},
"audio": {
"enable_high_bitrate": true,
"enable_stereo": true
}
},
"view_type": "GROUP_CALL"
},
"name": "name",
"ui": {
"design_tokens": {
"border_radius": "rounded",
"border_width": "thin",
"colors": {
"background": {
"600": "600",
"700": "700",
"800": "800",
"900": "900",
"1000": "1000"
},
"brand": {
"300": "300",
"400": "400",
"500": "500",
"600": "600",
"700": "700"
},
"danger": "danger",
"success": "success",
"text": "text",
"text_on_brand": "text_on_brand",
"video_bg": "video_bg",
"warning": "warning"
},
"logo": "logo",
"spacing_base": 0,
"theme": "dark"
},
"config_diff": {}
},
"permissions": {
"accept_waiting_requests": true,
"can_accept_production_requests": true,
"can_change_participant_permissions": true,
"can_edit_display_name": true,
"can_livestream": true,
"can_record": true,
"can_spotlight": true,
"chat": {
"private": {
"can_receive": true,
"can_send": true,
"files": true,
"text": true
},
"public": {
"can_send": true,
"files": true,
"text": true
}
},
"connected_meetings": {
"can_alter_connected_meetings": true,
"can_switch_connected_meetings": true,
"can_switch_to_parent_meeting": true
},
"disable_participant_audio": true,
"disable_participant_screensharing": true,
"disable_participant_video": true,
"hidden_participant": true,
"kick_participant": true,
"media": {
"audio": {
"can_produce": "ALLOWED"
},
"screenshare": {
"can_produce": "ALLOWED"
},
"video": {
"can_produce": "ALLOWED"
}
},
"pin_participant": true,
"plugins": {
"can_close": true,
"can_edit_config": true,
"can_start": true,
"config": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"polls": {
"can_create": true,
"can_view": true,
"can_vote": true
},
"recorder_type": "RECORDER",
"show_participant_list": true,
"waiting_room_type": "SKIP",
"is_recorder": true
}
},
"success": true
}Returns Examples
{
"data": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"config": {
"max_screenshare_count": 0,
"max_video_streams": {
"desktop": 0,
"mobile": 0
},
"media": {
"screenshare": {
"frame_rate": 0,
"quality": "hd"
},
"video": {
"frame_rate": 30,
"quality": "hd"
},
"audio": {
"enable_high_bitrate": true,
"enable_stereo": true
}
},
"view_type": "GROUP_CALL"
},
"name": "name",
"ui": {
"design_tokens": {
"border_radius": "rounded",
"border_width": "thin",
"colors": {
"background": {
"600": "600",
"700": "700",
"800": "800",
"900": "900",
"1000": "1000"
},
"brand": {
"300": "300",
"400": "400",
"500": "500",
"600": "600",
"700": "700"
},
"danger": "danger",
"success": "success",
"text": "text",
"text_on_brand": "text_on_brand",
"video_bg": "video_bg",
"warning": "warning"
},
"logo": "logo",
"spacing_base": 0,
"theme": "dark"
},
"config_diff": {}
},
"permissions": {
"accept_waiting_requests": true,
"can_accept_production_requests": true,
"can_change_participant_permissions": true,
"can_edit_display_name": true,
"can_livestream": true,
"can_record": true,
"can_spotlight": true,
"chat": {
"private": {
"can_receive": true,
"can_send": true,
"files": true,
"text": true
},
"public": {
"can_send": true,
"files": true,
"text": true
}
},
"connected_meetings": {
"can_alter_connected_meetings": true,
"can_switch_connected_meetings": true,
"can_switch_to_parent_meeting": true
},
"disable_participant_audio": true,
"disable_participant_screensharing": true,
"disable_participant_video": true,
"hidden_participant": true,
"kick_participant": true,
"media": {
"audio": {
"can_produce": "ALLOWED"
},
"screenshare": {
"can_produce": "ALLOWED"
},
"video": {
"can_produce": "ALLOWED"
}
},
"pin_participant": true,
"plugins": {
"can_close": true,
"can_edit_config": true,
"can_start": true,
"config": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"polls": {
"can_create": true,
"can_view": true,
"can_vote": true
},
"recorder_type": "RECORDER",
"show_participant_list": true,
"waiting_room_type": "SKIP",
"is_recorder": true
}
},
"success": true
}